@ECHO OFF


@SET STSADM="c:\program files\common files\microsoft shared\web server extensions\12\bin\STSADM"

SET SITE_URL="http://localhost:81"

SET SOLUTION_NAME=CodeArt_FieldRightSolution(V1.0).wsp

REM ----- Deactivate the feature(s) -----
REM %STSADM% -o deactivatefeature -name featurename -url %SITE_URL% -force

REM ----- Remove the features and solution -----
%STSADM% -o retractsolution -name %SOLUTION_NAME% -immediate -url %SITE_URL%


ECHO .
ECHO .
ECHO -------------------------------------------------------------------------------------------
ECHO Verify that the correct solutions have been completly retracted and then press ENTER
ECHO -------------------------------------------------------------------------------------------
ECHO .

%STSADM% -o execadmsvcjobs

ECHO ON

REM ----- Delete the solution -----
%STSADM% -o deletesolution -name %SOLUTION_NAME%

REM ----- Add and depoly the solution -----
%STSADM% -o addsolution -filename %SOLUTION_NAME%
%STSADM% -o deploysolution -n %SOLUTION_NAME% -immediate -allowgacdeployment -allowCasPolicies -url %SITE_URL%


ECHO OFF
ECHO .
ECHO .
ECHO -------------------------------------------------------------------------------------------
ECHO Solution deployment complete, press ENTER to activate features, if any
ECHO -------------------------------------------------------------------------------------------

%STSADM% -o execadmsvcjobs

ECHO ON
REM ----- Active features -----
REM %STSADM% -o activatefeature -name featurename -url %SITE_URL% -force

REM ----- Remove the following comment if features are present
REM pause